group "CommodityDeliveryPeriodsPointer.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
deliveryPeriodsReference? | deliveryPeriodsScheduleReference?

Content Model Elements (2):

  deliveryPeriodsReference, deliveryPeriodsScheduleReference

Known Usage Locations

- In definitions of global complexTypes (3):
  CoalStandardQualitySchedule, CommodityPhysicalQuantitySchedule, SettlementPeriodsSchedule

Annotation
Model group to enable users to reference a Delivery Periods schedule in the form of a series of actual dates in a deliveryPeriods container or in the form of a parameterised schedule in a deliveryPeriodsSchedule container.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityDeliveryPeriodsPointer.model"> <xsd:choice> <xsd:element minOccurs="0" name="deliveryPeriodsReference" type="CalculationPeriodsReference"/> <xsd:element minOccurs="0" name="deliveryPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
deliveryPeriodsReference

  Type: | CalculationPeriodsReference, empty content

  A pointer style reference to the Delivery Periods defined elsewhere.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriodsReference" type="CalculationPeriodsReference"/>

deliveryPeriodsScheduleReference

  Type: | CalculationPeriodsScheduleReference, empty content

  A pointer style reference to the Calculation Periods Schedule defined elsewhere.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.